Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/projects/antract/BuildAFMetadataMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/projects/antract/BuildAFMetadataMacro.groovy	(revision 2957)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/projects/antract/BuildAFMetadataMacro.groovy	(revision 2958)
@@ -57,6 +57,8 @@
 	
 	searchAndReplaceRules.put("textorder", ["([0-9][0-9])/([0-9][0-9])/([0-9][0-9][0-9][0-9])", '$3$2$1'] as String[]); // not working yet
 	
+	
+	
 	process(excel, table2File, lineRules, columnsSelection, columnsToCopy, searchAndReplaceRules, columnsToRenameRules, normalizeSearchAndReplacePattern, dateColumnsSelection, datePattern)
 }
 
Index: tmp/org.txm.utils/src/org/txm/utils/AsciiUtils.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/AsciiUtils.java	(revision 2957)
+++ tmp/org.txm.utils/src/org/txm/utils/AsciiUtils.java	(revision 2958)
@@ -77,7 +77,6 @@
 
 	public static Transliterator asciiFormmater = Transliterator.getInstance("Any-Latin; NFD; [^\\p{Alnum}\\p{p}] Remove");
 
-	// remove accentued from a string and replace with ascii equivalent
 	/**
 	 * Convert non ascii characters. Warning punctuations are not removed
 	 *
@@ -172,10 +171,10 @@
 		if (s.length() == 0) {
 			return s;
 		}
-
-		String rez = convertNonAscii(s).toLowerCase();
-		rez = rez.replaceAll("\\p{Space}++", "_");
+		String rez = s.replaceAll("\\p{Space}++", "_");
 		rez = rez.replaceAll("_", "-");
+		rez = convertNonAscii(rez).toLowerCase();
+		
 		rez = rez.replaceAll("[¤€§µ£°().,;:/?!@§%\\\\\"’ʹ'*+\\}\\]\\[{#~&]", ""); //$NON-NLS-1$ //$NON-NLS-2$
 		// remove first chars if number
 		char c = rez.charAt(0);
@@ -197,7 +196,7 @@
 	 *            the arguments
 	 */
 	public static void main(String args[]) {
-		String s = "01The result : _ тврьдо È,É,Ê,Ë,Û,Ù,Ï,Î,À,Â,Ô,è,é,ê,ë,û,ù,ï,î,à,â,ô,ç  0 1 2 3 4 5 6 7 8 9 10"; //$NON-NLS-1$
+		String s = "01The result : - - _ тврьдо È,É,Ê,Ë,Û,Ù,Ï,Î,À,Â,Ô,è,é,ê,ë,û,ù,ï,î,à,â,ô,ç  0 1 2 3 4 5 6 7 8 9 10"; //$NON-NLS-1$
 		System.out.println(AsciiUtils.convertNonAscii(s));
 		//System.out.println(AsciiUtils.buildId(s));
 		String s2 = "w_ТВРЬДОтврьдо_123&é\"'(-è_çà)=/*-+~#{[|`\\^@]}¤;:!§/.?µ%£°";
Index: tmp/org.txm.core/src/java/org/txm/metadatas/Metadatas.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/metadatas/Metadatas.java	(revision 2957)
+++ tmp/org.txm.core/src/java/org/txm/metadatas/Metadatas.java	(revision 2958)
@@ -223,7 +223,7 @@
 			// if(!headers[i].equals("id"))// the first
 			// {
 			writer.writeStartElement("metadata");
-			writer.writeAttribute("id", AsciiUtils.buildId(headers.get(i)));
+			writer.writeAttribute("id", AsciiUtils.buildAttributeId(headers.get(i)));
 			writer.writeAttribute("shortname", headers.get(i));
 			writer.writeAttribute("longname", headers.get(i));
 			writer.writeAttribute("type", "String");
@@ -479,7 +479,7 @@
 				// if(!headers[i].equals("id"))// the first
 				// {
 				writer.writeStartElement("metadata");
-				writer.writeAttribute("id", AsciiUtils.buildId(headers[i]));
+				writer.writeAttribute("id", AsciiUtils.buildAttributeId(headers[i]));
 				writer.writeAttribute("shortname", headers[i]);
 				writer.writeAttribute("longname", longnames[i]);
 				writer.writeAttribute("type", types[i]);
@@ -510,7 +510,7 @@
 				for (int i = 0; i < headers.length; i++)
 					if (!headers[i].equals("id") && !headers[i].equals("xpath")) {
 						writer.writeEmptyElement("entry");
-						writer.writeAttribute("id", AsciiUtils.buildId(headers[i]));
+						writer.writeAttribute("id", AsciiUtils.buildAttributeId(headers[i]));
 						String value = reader.get(headers[i]);
 						if (value.length() == 0)
 							writer.writeAttribute("value", "N/A");
@@ -628,7 +628,7 @@
 		
 		// ensure attribute names format
 		for (org.txm.metadatas.Entry e : metas) {
-			e.o1 = AsciiUtils.buildId(e.o1);
+			e.o1 = AsciiUtils.buildAttributeId(e.o1);
 		}
 		
 		AddAttributeInXml builder = new AddAttributeInXml(infile, tag, metas);
